Bug 783073 - Review Request: vishnu - DIET add-on packages
Summary: Review Request: vishnu - DIET add-on packages
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 783071
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-19 09:09 UTC by Haïkel Guémar
Modified: 2014-06-09 11:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 11:49:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Haïkel Guémar 2012-01-19 09:09:06 UTC
Spec URL: http://hguemar.fedorapeople.org/diet/vishnu.spec
SRPM URL: http://hguemar.fedorapeople.org/diet/vishnu-1.2.6-1.fc16.src.rpm
Description: vishnu is a diet add-on that brings:
* User Management System
* Tasks Management System (abstraction layers over batch schedulers)
* File Management System
* Information Management System

Comment 1 Michael Scherer 2012-03-24 19:23:42 UTC
So now that diet is in, this one should be the next.

- the license is not present in all cases. For exemple, if I install vishnu-ums-server, it just pull vshnu-core-server, and there is no license

- the copying file is IMHO not sufficient, maybe you should bundle the rest in License/*

- rm -rf $RPM_BUILD_ROOT is not needed in %install 

- I think you should use the %version in %setup and in $SOURCE0 

- there is no url for Source0, nor any indication on where to get the source code 

- the servers do not need to be started by systemd ?

- like diet, I assume the tests are not practical to run on koji/mock ?

- I am sure that better description could help to understand what each packages do ( even if this is rather specialized )

- there is support for documentation created by doxygen, wouldn't that be useful to enable it ?

Comment 2 Mario Blättermann 2012-09-22 20:20:30 UTC
Any progress in this review...?

Comment 3 Haïkel Guémar 2012-09-24 05:57:50 UTC
i need to update the package to latest version.

Comment 4 Haïkel Guémar 2014-06-09 11:49:16 UTC
Let's drop it, upstream is not interested anymore interacting with the FOSS community.


Note You need to log in before you can comment on or make changes to this bug.